/**
 * V0.0.6
 * Changing This Index
 */
import express, { Express } from "express";
import chalk from 'chalk';
import { ISessionConfig } from "../configuration/session";
import { IViewConfig } from "../configuration/view";
import { Request_Methods } from "../types/interfaces";
import ApiServices from "../utils/apiService";
import { Ii18Config } from '../configuration/i18';
export default class App {
    _app: Express;
    I18Next: any;
    constructor(port?: number | string, host?: string, cookieSecret?: string | null, sessionConfig?: ISessionConfig | null, viewConfig?: IViewConfig | null, mongoConfig?: boolean, i18Config?: Ii18Config | null);
    configI18(i18Config: Ii18Config): void;
    /**
     * @param str @REQUIRED : key of Your Text
     * @param lan @OPTIONAL : your configured lang preload , if not = lng
     * @param val @OPTIONAL : if your key have {{val}} , You can Pass This arg
     */
    t(str: any, lan?: string, val?: any): any;
    /**
     * @param lan  @REQUIRED : lang preload
     */
    changeLanguage(lan: string): void;
    listen(port?: string | number, callback?: (...args: any[]) => void): void;
    route(path: string, method: Request_Methods, ...middlewareAndControllers: any[]): void;
    get(key: string): string | any;
    set(key: string, value: any): express.Express;
    getEnv(key: string): string | any;
    private envConfig;
}
export declare const ch: chalk.Chalk & chalk.ChalkFunction & {
    supportsColor: false | chalk.ColorSupport;
    Level: chalk.Level;
    Color: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright" | "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
    ForegroundColor: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright";
    BackgroundColor: "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
    Modifiers: "bold" | "inverse" | "hidden" | "visible" | "reset" | "dim" | "italic" | "underline" | "strikethrough";
    stderr: chalk.Chalk & {
        supportsColor: false | chalk.ColorSupport;
    };
};
export declare const ApiService: typeof ApiServices;
