import { CustomObject } from "../types/global";
export default class ClientError {
    status: number;
    name: string;
    message: string | undefined;
    details: CustomObject | undefined;
    /**
     * @param status : status code
     * @param name : error type
     * @param message : message received from server
     * @param details : detail on error
     */
    constructor(status: number, name: string, details?: CustomObject, message?: string);
}
export declare class InternalServerError extends ClientError {
    constructor(name: string, message: string, details?: any);
}
export declare class PassportError extends ClientError {
    constructor(error: ClientError, statusCode?: number, name?: string);
}
export declare class RequiredAdaptor extends InternalServerError {
    constructor(adaptor: string);
}
export declare class RequiredConfig extends InternalServerError {
    constructor(adaptor: string);
}
