"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MacoreValidator = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const interfaces_1 = require("../types/interfaces");
function MacoreValidator(type, callbackUrl) {
    return (req, res, next) => {
        class_validator_1.validate(class_transformer_1.plainToClass(type, req.body))
            .then(errors => {
            if (errors.length > 0) {
                if (callbackUrl)
                    return res.redirect(callbackUrl);
                else
                    return res.status(interfaces_1.httpCodes.VALIDATION_ERROR).send({ error: "ValidationError" });
            }
            else {
                next();
            }
        });
    };
}
exports.MacoreValidator = MacoreValidator;
//# sourceMappingURL=validation.js.map